LoggerDynamicMBean (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.jmx
Class LoggerDynamicMBean

    java.lang.Object
      org.apache.log4j.jmx.AbstractDynamicMBean
          org.apache.log4j.jmx.LoggerDynamicMBean

All Implemented Interfaces:
  EventListener, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationListener

    public class LoggerDynamicMBean

extends AbstractDynamicMBean
implements javax.management.NotificationListener

Constructor Summary
`LoggerDynamicMBean(Logger logger)`

Method Summary
`Object` | `getAttribute(String attributeName)`
`protected Logger` | `getLogger()`
`javax.management.MBeanInfo` | `getMBeanInfo()`
`void` | `handleNotification(javax.management.Notification notification, Object handback)`
`Object` | `invoke(String operationName, Object[] params, String[] signature)`
`void` | `postRegister(Boolean registrationDone)`
`void` | `setAttribute(javax.management.Attribute attribute)`

Methods inherited from class org.apache.log4j.jmx.AbstractDynamicMBean
`getAppenderName, getAttributes, postDeregister, preDeregister, preRegister, registerMBean, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggerDynamicMBean

    public LoggerDynamicMBean(Logger logger)

Method Detail

### handleNotification

    public void handleNotification(javax.management.Notification notification,
                                   Object handback)

  Specified by:
    `handleNotification` in interface `javax.management.NotificationListener`

### getLogger

    protected Logger getLogger()

  Specified by:
    `getLogger` in class `AbstractDynamicMBean`

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo()

  Specified by:
    `getMBeanInfo` in interface `javax.management.DynamicMBean`

### invoke

    public Object invoke(String operationName,
                         Object[] params,
                         String[] signature)
                  throws javax.management.MBeanException,
                         javax.management.ReflectionException

  Specified by:
    `invoke` in interface `javax.management.DynamicMBean`
  Throws:
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### getAttribute

    public Object getAttribute(String attributeName)
                        throws javax.management.AttributeNotFoundException,
                               javax.management.MBeanException,
                               javax.management.ReflectionException

  Specified by:
    `getAttribute` in interface `javax.management.DynamicMBean`
  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### setAttribute

    public void setAttribute(javax.management.Attribute attribute)
                      throws javax.management.AttributeNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException

  Specified by:
    `setAttribute` in interface `javax.management.DynamicMBean`
  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.InvalidAttributeValueException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### postRegister

    public void postRegister(Boolean registrationDone)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`
  Overrides:
    `postRegister` in class `AbstractDynamicMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.